package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class CreateOtherContractsFacade extends AbstractBizCtrl implements ICreateOtherContractsFacade
{
    public CreateOtherContractsFacade()
    {
        super();
        registerInterface(ICreateOtherContractsFacade.class, this);
    }
    public CreateOtherContractsFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ICreateOtherContractsFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3775A52D");
    }
    private CreateOtherContractsFacadeController getController() throws BOSException
    {
        return (CreateOtherContractsFacadeController)getBizController();
    }
    /**
     *创建其他合同-User defined method
     *@param confirmationBillIds 薪酬确认单(多个用 , )
     *@param leadDays 前沿天数
     *@param startDate 开始时间(yyyy-MM-dd)
     *@param endDate 结束时间(yyyy-MM-dd)
     */
    public void createContracts(String confirmationBillIds, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            getController().createContracts(getContext(), confirmationBillIds, leadDays, startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}